gst-plugins-good0.10 (0.10.6-0osso26~diablo3) unstable; urgency=low

  * Build dependency update osso-esd-dev to libesd0-dev

 -- Matti Punkeri <matti.punkeri@nokia.com>  Tue, 24 Apr 2008 09:47:14 +0300

gst-plugins-good0.10 (0.10.6-0osso26~diablo2) unstable; urgency=low

  * Fixed segfault in ID3 tag parsing. Fixes: NB#82491

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 22 Apr 2008 16:04:14 +0300

gst-plugins-good0.10 (0.10.6-0osso26~diablo1) unstable; urgency=low

  * Fixed segfault in wav parse error handling. Fixes: NB#82555

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 22 Apr 2008 15:16:27 +0300

gst-plugins-good0.10 (0.10.6-0osso26~diablo) unstable; urgency=low

  * Use g_ascii_strtoll instead of atol, Fixes:NB#79234

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 29 Jan 2008 15:29:39 +0200

gst-plugins-good0.10 (0.10.6-0osso26~chinook) unstable; urgency=low

  * Fix avi index list discont handling, Fixes: NB#75981
  * Speed up seeking large avi files a little

 -- Stefan Kost <stefan.kost@nokia.com>  Mon, 19 Nov 2007 13:50:06 +0200

gst-plugins-good0.10 (0.10.6-0osso25~chinook) unstable; urgency=low

  * Wavparse does not try to calculate position/duration for MP2 and
    MP3 formats based on "fact" chuck. Fixes: NB#70191, NB#73305

 -- Stefan Kost <stefan.kost@nokia.com>  Mon,  5 Nov 2007 16:03:10 +0200

gst-plugins-good0.10 (0.10.6-0osso24~chinook) unstable; urgency=low

  * Disabled SEEK in RTSP source. Fixes: NB#73192

 -- Stefan Kost <stefan.kost@nokia.com>  Thu,  1 Nov 2007 16:49:35 +0200

gst-plugins-good0.10 (0.10.6-0osso23~chinook) unstable; urgency=low

  * Fix avidemux index list handling when seeking to eof, Fixes: NB#74279 

 -- Stefan Kost <stefan.kost@nokia.com>  Thu,  1 Nov 2007 15:14:43 +0200

gst-plugins-good0.10 (0.10.6-0osso22) unstable; urgency=low

  * Added replaces fields, Fixes: NB#72193 

 -- Stefan Kost <stefan.kost@nokia.com>  Mon,  8 Oct 2007 12:12:14 +0300

gst-plugins-good0.10 (0.10.6-0osso21) unstable; urgency=low

  * Revert wavparse eos handling fix 

 -- Stefan Kost <stefan.kost@nokia.com>  Mon,  1 Oct 2007 19:14:01 +0300

gst-plugins-good0.10 (0.10.6-0osso20) unstable; urgency=low

  * RTSP caches pending data when going to PAUSE mode. Fixes: NB#70265

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 25 Sep 2007 16:28:31 +0300

gst-plugins-good0.10 (0.10.6-0osso19) unstable; urgency=low

  * Retrieved latest CVS version of law plugin. Fixes: NB#69682

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 18 Sep 2007 08:56:03 +0300

gst-plugins-good0.10 (0.10.6-0osso18) unstable; urgency=low

  * Fix wavparse eos handling when streaming, Fixes: NB#64442, NB#68737

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 13 Sep 2007 14:27:24 +0300

gst-plugins-good0.10 (0.10.6-0osso17) unstable; urgency=low

  * Added a hack to prevent error 455 from WMS servers. Fixes: NB#63841

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 13 Sep 2007 10:27:31 +0300

gst-plugins-good0.10 (0.10.6-0osso16) unstable; urgency=low

  * Lower rank of alawdec/mulawdec and include by default. Fixes: NB#67722

 -- Stefan Kost <stefan.kost@nokia.com>  Wed, 12 Sep 2007 11:31:44 +0300

gst-plugins-good0.10 (0.10.6-0osso15) unstable; urgency=low

  * Fix leak in avidemux. 

 -- Stefan Kost <stefan.kost@nokia.com>  Mon, 10 Sep 2007 11:17:23 +0300

gst-plugins-good0.10 (0.10.6-0osso14) unstable; urgency=low

  * Code cleanup in wavparse. Move calculations out of loops.
  * Code cleanup in v4l2src (Use define instead of hardcoded value).

 -- Stefan Kost <stefan.kost@nokia.com>  Wed,  5 Sep 2007 11:22:08 +0300

gst-plugins-good0.10 (0.10.6-0osso13) unstable; urgency=low

  * Included apetag in package. Fixes: NB#67724

 -- Stefan Kost <stefan.kost@nokia.com>  Mon,  3 Sep 2007 15:33:52 +0300

gst-plugins-good0.10 (0.10.6-0osso12) unstable; urgency=low

  * Fix index entry reading, Fixes: NB#66867

 -- Stefan Kost <stefan.kost@nokia.com>  Wed, 29 Aug 2007 13:54:51 +0300

gst-plugins-good0.10 (0.10.6-0osso11) unstable; urgency=low

  * Backported latest changes to RTSP element from CVS:
      gstrtspsrc.c: Revision 1.104
      gstrtspsrc.h: Revision 1.41

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 23 Aug 2007 13:18:44 +0300

gst-plugins-good0.10 (0.10.6-0osso10) unstable; urgency=low

  * Backported RTSP element from GST CVS.
  * Added dependency to latest core & plugins_base & rtpmanager

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 21 Aug 2007 11:54:48 +0300

gst-plugins-good0.10 (0.10.6-0osso9) unstable; urgency=low

  * Applied a RTP patch from Youness Alaoui.

 -- Stefan Kost <stefan.kost@nokia.com>  Mon, 20 Aug 2007 14:42:59 +0300

gst-plugins-good0.10 (0.10.6-0osso8) unstable; urgency=low

  * Wavparse doesn't try to estimate position or duration for
    non-PCM clips (e.g. MP3 content). Fixes: NB#55233

 -- Stefan Kost <stefan.kost@nokia.com>  Wed, 15 Aug 2007 15:28:32 +0300

gst-plugins-good0.10 (0.10.6-0osso7) unstable; urgency=low

  * Applied a patch from Olivier Crete yo ilbc(de)payloader.
    Fixes: NB#65226

 -- Stefan Kost <stefan.kost@nokia.com>  Thu,  9 Aug 2007 11:50:24 +0300

gst-plugins-good0.10 (0.10.6-0osso6) unstable; urgency=low

  * rtspsrc sends now ASYNC_START and ASYNC_DONE messages during
    startup if only TCP protocol is chosen
  * Removed GLIB CRITICAL warning

 -- Stefan Kost <stefan.kost@nokia.com>  Wed, 25 Jul 2007 16:58:58 +0300

gst-plugins-good0.10 (0.10.6-0osso5) unstable; urgency=low

  * Apply avidemux no-index-array patch. 

 -- Stefan Kost <stefan.kost@nokia.com>  Mon, 23 Jul 2007 15:34:10 +0300

gst-plugins-good0.10 (0.10.6-0osso4) unstable; urgency=low

  * Fix camera (num_buffers=0)

 -- Stefan Kost <stefan.kost@nokia.com>  Tue, 17 Jul 2007 14:52:59 +0300

gst-plugins-good0.10 (0.10.6-0osso3) unstable; urgency=low

  * Updated package depencencies. Fixes: NB#62608

 -- Stefan Kost <stefan.kost@nokia.com>  Mon,  9 Jul 2007 09:03:15 +0300

gst-plugins-good0.10 (0.10.6-0osso2) unstable; urgency=low

  * Cast to proper type in rtspsrc caps to avoid rtsp crash
  * Fix case in rtpilbcpay encoding-name field 

 -- Stefan Kost <stefan.kost@nokia.com>  Tue,  3 Jul 2007 14:05:13 +0300

gst-plugins-good0.10 (0.10.6-0osso1) unstable; urgency=low

  * Upgrade to gst-plugins-good 0.10.6 

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 21 Jun 2007 15:48:34 +0300

gst-plugins-good0.10 (0.10.5-0osso7) unstable; urgency=low

  * Added gst cvs head h264 depayloader, improves h264 streaming

 -- Stefan Kost <stefan.kost@nokia.com>  Wed, 13 Jun 2007 09:55:43 +0300

gst-plugins-good0.10 (0.10.5-0osso6) unstable; urgency=low

  * Modified MP4A RTP depayloader to work properly with AAC plugin

 -- Stefan Kost <stefan.kost@nokia.com>  Thu,  7 Jun 2007 12:04:32 +0300

gst-plugins-good0.10 (0.10.5-0osso5) unstable; urgency=low

  * Applied RTP G.711 depayloader patch

 -- Stefan Kost <stefan.kost@nokia.com>  Wed, 30 May 2007 08:29:59 +0300

gst-plugins-good0.10 (0.10.5-0osso4) unstable; urgency=low

  * Don't toggle sink states between null and ready, Fixes: NB#55130
  * Add --disable-nls to the rules
 
 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 24 May 2007 11:35:53 +0300

gst-plugins-good0.10 (0.10.5-0osso3) unstable; urgency=low

  * Increased AAC MP4A-LATM depayloader rank to allow autoplugging
  * Reverted backward-compatibility workarounds after farsight updates 

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 10 May 2007 13:32:32 +0300

gst-plugins-good0.10 (0.10.5-0osso2) unstable; urgency=low

  * Partial: NR#167499 

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 26 Apr 2007 09:36:41 +0300

gst-plugins-good0.10 (0.10.5-0osso1) unstable; urgency=low

  * Updated to version 0.10.5 and patched osso modifications 

 -- Stefan Kost <stefan.kost@nokia.com>  Wed, 28 Mar 2007 15:54:28 +0300

gst-plugins-good0.10 (0.10.4-osso2-10) unstable; urgency=low

  * fix memory leak, Fixes: NB#47712 

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 16 Nov 2006 16:48:29 +0200

gst-plugins-good0.10 (0.10.4-osso2-9) unstable; urgency=low

  * Extra package created Fixes: NB#44147

 -- Makoto Sugano <makoto.sugano@nokia.com>  Fri, 10 Nov 2006 11:01:58 +0200

gst-plugins-good0.10 (0.10.4-osso2-8) unstable; urgency=low

  * more avidemuxer fixes (faster index parsing), (partially) Fixes: #38355

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu,  2 Nov 2006 16:59:28 +0200

gst-plugins-good0.10 (0.10.4-osso2-7) unstable; urgency=low

  * more avidemuxer seeking and playback fixes, Fixes: NB#38355, NB#38920

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu, 26 Oct 2006 15:42:57 +0300

gst-plugins-good0.10 (0.10.4-osso2-6) unstable; urgency=low

  * v4l2 updates from cvs head
  * avidemuxer seeking fixes
    Fixes: NB#38920

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 18 Oct 2006 19:11:59 +0300

gst-plugins-good0.10 (0.10.4-osso2-5) unstable; urgency=low

  * v4l2 added 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu,  5 Oct 2006 18:28:21 +0300

gst-plugins-good0.10 (0.10.4-osso2-4) unstable; urgency=low

  * Avidemux: More code reuse and better logging in _peek_chunk(). 
    Reintroduce check for chunk sizes before reading them (avoid oom). 
    Better handling for invalid chunksizes when streaming.
  * Fixes: NB#30336, NB#30515 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu, 14 Sep 2006 13:49:42 +0300

gst-plugins-good0.10 (0.10.4-osso2-3) unstable; urgency=low

  * Avi demuxer fixes for distorted video when streaming 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu,  7 Sep 2006 15:15:51 +0300

gst-plugins-good0.10 (0.10.4-osso2-2) unstable; urgency=low

  * Applied ilbcpcmrtp patch. Fixes: NB#39537

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue,  5 Sep 2006 17:14:05 +0300

gst-plugins-good0.10 (0.10.4-osso2-1) unstable; urgency=low

  * Fixed icydemux installation 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Mon, 21 Aug 2006 11:29:12 +0300

gst-plugins-good0.10 (0.10.4-osso2) unstable; urgency=low

  *  Added streaming support for avidemux

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 16 Aug 2006 14:15:21 +0300

gst-plugins-good0.10 (0.10.4-osso1) unstable; urgency=low

  * New upstream release 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 16 Aug 2006 12:07:51 +0300

gst-plugins-good0.10 (0.10.2-osso16-1) unstable; urgency=low

  * Fixes: NB#30515,NB#30336,NB#33631 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 16 Aug 2006 12:07:51 +0300

gst-plugins-good0.10 (0.10.2-osso15-1) unstable; urgency=low

  * Mem leak fix in wavparse (33028)

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue, 20 Jun 2006 14:09:48 +0300

gst-plugins-good0.10 (0.10.2-osso14-1) unstable; urgency=low

  * Mem leak fix for avidemux (31550)

 -- Makoto Sugano <makoto.sugano@nokia.com>  Fri,  2 Jun 2006 09:32:24 +0300

gst-plugins-good0.10 (0.10.2-osso13-1) unstable; urgency=low

  * Fix for bug 30275.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Mon, 29 May 2006 13:31:29 +0300

gst-plugins-good0.10 (0.10.2-osso12-1) unstable; urgency=low

  * Fix for bug 29392.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Mon, 15 May 2006 14:27:17 +0300

gst-plugins-good0.10 (0.10.2-osso11-1) unstable; urgency=low

  * Small mem fix for avi demuxer

 -- Makoto Sugano <makoto.sugano@nokia.com>  Fri, 12 May 2006 13:33:46 +0300

gst-plugins-good0.10 (0.10.2-osso10-1) unstable; urgency=low

  * Avi index mem optimisation

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue,  9 May 2006 12:06:27 +0300

gst-plugins-good0.10 (0.10.2-osso9-1) unstable; urgency=low

  * Fix for bug 25470 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed,  3 May 2006 14:19:17 +0300

gst-plugins-good0.10 (0.10.2-osso8-2) unstable; urgency=low

  * Build fix

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 24 Apr 2006 09:58:16 +0300

gst-plugins-good0.10 (0.10.2-osso8-1) unstable; urgency=low

  * Fixed a memory leak in wavparse 

 -- Makoto Sugano <makoto.sugano@nokia.com>  Wed, 19 Apr 2006 09:58:16 +0300

gst-plugins-good0.10 (0.10.2-osso7-1) unstable; urgency=low

  * gst/rtp/gstrtppcmapay.c:
  * gst/rtp/gstrtppcmapay.h:
  * gst/rtp/gstrtppcmupay.c:
  * gst/rtp/gstrtppcmupay.h:
    Ported mulaw and alaw payloaders to use new base class
  * gst/rtp/Makefile.am:
  * gst/rtp/gstrtp.c:
  * gst/rtp/gstrtpilbcpay.c:
  * gst/rtp/gstrtpilbcpay.h:
  * gst/rtp/gstrtpilbcdepay.c:
  * gst/rtp/gstrtpilbcdepay.h:
    Added new iLBC payloader/depayloader. Payloader uses new audio payload
    base class.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Tue, 18 Apr 2006 17:28:47 +0300

gst-plugins-good0.10 (0.10.2-osso6-1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu,  6 Apr 2006 09:18:43 +0300

gst-plugins-good0.10 (0.10.2-osso5-1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu, 23 Mar 2006 17:11:53 +0200

gst-plugins-good0.10 (0.10.2-osso4-1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Fri, 17 Mar 2006 13:26:07 +0200

gst-plugins-good0.10 (0.10.2-osso3-1) unstable; urgency=low

  * New upstream release

 -- Makoto Sugano <makoto.sugano@nokia.com>  Thu,  2 Mar 2006 15:28:02 +0200

gst-plugins-good0.10 (0.10.2-osso2-1) unstable; urgency=low

  * Initial Release.

 -- Makoto Sugano <makoto.sugano@nokia.com>  Fri, 24 Feb 2006 19:51:37 +0200

